## org.codehaus.groovy.ant
Class GroovycTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport
                      org.codehaus.groovy.ant.GroovycTask

All Implemented Interfaces:
  Cloneable, SelectorContainer

    public class GroovycTask

extends CompileTaskSupport

Compiles Groovy source files.

Version:
  $Id: GroovycTask.java 7819 2007-08-30 03:46:54Z user57 $
Author:
  Jason Dillon

Field Summary
`protected boolean` `force`

Fields inherited from class org.codehaus.groovy.ant.CompileTaskSupport
`classpath, config, destdir, failOnError, log, src`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GroovycTask()`

Method Summary
`protected void` `compile()`
`void` `setForce(boolean flag)`

Methods inherited from class org.codehaus.groovy.ant.CompileTaskSupport
`createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### force

    protected boolean force

Constructor Detail

### GroovycTask

    public GroovycTask()

Method Detail

### setForce

    public void setForce(boolean flag)

### compile

    protected void compile()

  Specified by:
    `compile` in class `CompileTaskSupport`

Copyright © 2003-2008 The Codehaus. All rights reserved.